#include <bits/stdc++.h>
#include <iostream>
int main()
{
    int broj_pozicija, broj_pogodaka,m=0,br=0,z=0,r=0,l=0;
    scanf("%i%i",&broj_pozicija,&broj_pogodaka);
    int a[broj_pozicija],mesta[broj_pozicija];
    for(int i=0;i<broj_pozicija;i++)
        scanf("%i",&a[i]);
    for(int i=0;i<broj_pozicija;i++)
    {
        for (int j=i+1;j<broj_pozicija;j++)
        {
            if (a[i]==a[j])
            {
                z++;
                a[j]=1000000+j;
            }
            if(l<1){
            if (z==broj_pogodaka-1)
            {
                mesta[m]=a[i];
                m++;
                br=1;
                l++;
            }
        }
        }
        l=0;
        z=0;
        r=r+br;
        br=0;
    }
    printf("%i\n",r);
    for(br=0;br<r;br++)
        printf("%i ",mesta[br]);
    return 0;
}